#ifndef __INCLUDE_DB_HEADER_
#define __INCLUDE_DB_HEADER_


struct dbTable {
//  int h;        // fd32 file handle
  FILE *h;
  int Count;    // record count
  int Index;    // current record (0..count-1)
  int RecordSize;
  void *CurrentRecord;
};

extern int dbOpenTable(char *filename, dbTable *tbl, int RecordSize);
extern int dbCloneTable(dbTable *Parent, dbTable *New);
extern int dbCloseTable(dbTable *tbl);
extern int dbSetIndex(dbTable *tbl, int NewIndex);

#endif
